summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjandob2016-02-13 21:56:28 +0100
committerjandob2016-02-13 21:56:28 +0100
commita22abe18f093c963d2cd7af55a4f810502c94a05 (patch)
tree34d404a6e00651d73237f7759374d7b2d76eb233
parentrebash update (diff)
downloadsystemd-init-a22abe18f093c963d2cd7af55a4f810502c94a05.tar.gz
systemd-init-a22abe18f093c963d2cd7af55a4f810502c94a05.tar.xz
systemd-init-a22abe18f093c963d2cd7af55a4f810502c94a05.zip
rebash update
-rw-r--r--builder/dnbd3-rootfs/scripts/build.sh10
m---------builder/dnbd3-rootfs/scripts/rebash0
2 files changed, 6 insertions, 4 deletions
diff --git a/builder/dnbd3-rootfs/scripts/build.sh b/builder/dnbd3-rootfs/scripts/build.sh
index c5373cac..aad8370b 100644
--- a/builder/dnbd3-rootfs/scripts/build.sh
+++ b/builder/dnbd3-rootfs/scripts/build.sh
@@ -1,3 +1,5 @@
+#!/usr/bin/env bash
+# shellcheck source=./rebash/core.sh
source "$(dirname "${BASH_SOURCE[0]}")/rebash/core.sh"
core.import logging
@@ -11,7 +13,7 @@ build_compile_qemu_xmount() {
pushd "$1"
local xmount_installation="../xmount/trunk/build/release_build"
[ ! -z "$2" ] && xmount_installation="$2"
- ./configure --enable-xmount-input --python=$(which python2) \
+ ./configure --enable-xmount-input --python="$(which python2)" \
--extra-cflags="-fPIC" \
--extra-cflags="-I${xmount_installation}/include" \
--extra-cflags="-I${xmount_installation}/include/xmount" \
@@ -40,7 +42,7 @@ build_compile_xmount() {
[ ! -z "$3" ] && install_prefix="$3"
mkdir --parents trunk/build
- cd trunk/build
+ cd trunk/build || return 1
cmake -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX="$install_prefix" ..
make
@@ -74,11 +76,11 @@ build_compile_qemu_nbd() {
#su -s /bin/bash nobody
#yaourt --noconfirm -S glib2-static glibc-static pcre-static
#exit
- pushd "$(dirname $1)"
+ pushd "$(dirname "$1")"
# TODO check what other features can be disabled
# --static
./configure --target-list=x86_64-linux-user \
- --python=$(which python2) --disable-docs --disable-gtk --disable-vnc \
+ --python="$(which python2)" --disable-docs --disable-gtk --disable-vnc \
--disable-kvm --disable-libssh2 --enable-user --disable-system \
--disable-fdt --disable-libnfs --disable-glusterfs --disable-libiscsi \
--disable-gcrypt --disable-nettle
diff --git a/builder/dnbd3-rootfs/scripts/rebash b/builder/dnbd3-rootfs/scripts/rebash
-Subproject 2b0475a31cb2b9fab9ffc50dca7099ece0a89bf
+Subproject c6e3e96d12e46baefbb0d85dea1e1052cc26f8e